# UniTAP.dev.ports.dprx4xx

class DPRX4xx(UniTAP.dev.ports.dprx.DPRX):

Main class of `DPRX4xx` object. Inherited from class `DPRX`. Class describes capabilities of 400th (4XX) series of DP and USB-C devices in Sink (RX - receiver) role.

###### Attributes:

- __fec (FecTx): object of `FecTx`.
- __bulk_capturer (BulkCapturer): object of `BulkCapturer`
- __display_id (DisplayIdSink): object of `DisplayIdSink`
- __panel_replay (SinkPanelReplay): object of `SinkPanelReplay`
- __psr (SinkPanelSelfRefresh): object of `SinkPanelSelfRefresh`

DPRX4xx( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, memory_manager: UniTAP.dev.modules.memory_manager.memory_manager.MemoryManager, capturer: UniTAP.dev.modules.capturer.capture.Capturer)
fec: UniTAP.dev.ports.modules.fec.fec_rx.FecRx

Should be used to control FEC functionality on Sink (RX - receiver) side.

###### Returns:

> object of `FecRx` type.

bulk_capturer: UniTAP.dev.ports.modules.capturer.bulk.bulk_capturer.BulkCapturer

Should be used to control Bulk capturer functionality on Sink (RX - receiver) side.

###### Returns:

> object of `BulkCapturer` type.

display_id: UniTAP.dev.ports.modules.edid.edid.DisplayIdSink

Should be used to control DisplayID functionality on Sink (RX - receiver) side.

###### Returns:

> object of `DisplayIdSink` type.

panel_replay: Optional[UniTAP.dev.ports.modules.panel_replay.pr_sink.SinkPanelReplay]

Should be used to control Panel Replay on Sink (RX - receiver) side.

###### Returns:

> object of `SinkPanelReplay` type.

panel_self_refresh: Optional[UniTAP.dev.ports.modules.panel_replay.pr_sink.SinkPanelSelfRefresh]

Should be used to control Panel Self Refresh on Sink (RX - receiver) side.

###### Returns:

> object of `SinkPanelSelfRefresh` type.

##### Inherited Members

UniTAP.dev.ports.dprx.DPRX
  link
  dpcd
  edid
  hdcp
  event_capturer
  video_capturer
UniTAP.dev.ports.rx.RX
  audio_capturer